export class Dictionary {
    words : { [key: string]: string } = {};
    url : string;
    loaded : boolean = false;
    name : string;
    nonWords : string[];

    constructor(url : string, name : string, nonWords : string[]) {
        this.url = url;
        this.name = name;
        this.nonWords = nonWords;

        fetch(url)
        .then(response => response.text())
        .then(text => {
            const lines = text.split('\n');
            lines.forEach(line => {
                line = line.trim();
                if(line.length == 0) return;
                const [en, pl] = line.split(' - ');
                this.words[en] = pl;
            });
            this.loaded = true;
            console.log(`Dictionary ${this.name} loaded!`);
        });
    }
}